AlgoJudge documentation0.1
REST reference

Lti Registrations

GET/lti/registrations

Response Body

curl -X GET "https://example.com/lti/registrations"
[  {    "id": "string",    "note": "string",    "registrationUrl": "string",    "expiresAt": "string",    "usedAt": "string",    "platformId": "string"  }]
POST/lti/registrations

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/lti/registrations" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "note": "string",  "registrationUrl": "string",  "expiresAt": "string",  "usedAt": "string",  "platformId": "string"}
POST/lti/registrations/{id}/revoke

Path Parameters

id*string
Formatuuid

Response Body

curl -X POST "https://example.com/lti/registrations/497f6eca-6276-4993-bfeb-53cbbbba6f08/revoke"
Empty